Announcement

Collapse
No announcement yet.

Status: Aborted. Version number suggests upgrade is done, though. Am I upgraded?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] Status: Aborted. Version number suggests upgrade is done, though. Am I upgraded?

    I just tried to upgrade from vB 4.2.2 to 4.2.5

    During the upgrade process I got an Unexpected Text error and a Status: Aborted at 56%

    Here's part of the error message:
    Code:
    <strong>MySQL Error</strong>   : You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ' )
    When I check in the admincp now, though, I see 4.2.5 as the current version.

    So, my question is: Am I upgraded?

  • #2
    No. You need to get to the end.

    Try running the upgrade again.
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.4.4 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      Hi Mark.

      I've tried but I get the same error message. This time immediately. There is no installation progress.

      I've checked and I have PHP 5.6.31 installed and my db is stored on a 10.1.26-MariaDB Server.

      What should I try next?
      Thnx

      Comment


      • #4
        We will need the full error message in order to advise further.
        MARK.B | vBULLETIN SUPPORT

        TalkNewsUK - My vBulletin 5.4.4 Demo
        AdminAmmo - My Cloud Demo

        Comment


        • #5
          Here's the complete message:

          Action Required
          Unexpected Text:

          Code:
          <?xml version="1.0" encoding="windows-1252"?>
          <br />
          <b>Warning</b>:  mysqli_query(): (42000/1064): You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ' )
                      )
                      WHERE ipid IS NULL' at line 6 in <b>/var/www/vhosts/xn--qxaek7au.gr/httpdocs/forum/includes/class_core.php</b> on line <b>1386</b><br />
          <?xml version="1.0" encoding="windows-1252"?>
          <errors>
              <error><![CDATA[<p>Database Error</p>
          
          Invalid SQL:
          
                      SELECT bt.userid, bt.dateline, blogtextid, ipaddress, firstblogtextid
                      FROM blog_text bt
                      JOIN blog bl USING (blogid)
                      LEFT JOIN ipdata ip ON (
                          bt.ipaddress = ip.ipid AND bt.blogtextid  = ip.contentid
                          AND bt.userid = ip.userid AND ip.contenttypeid IN (, )
                      )
                      WHERE ipid IS NULL;
          
          You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ' )
                      )
                      WHERE ipid IS NULL' at line 6]]></error>
              <error_html><![CDATA[<p>Database error in vBulletin 4.2.5</p>
          <p>Invalid SQL:
          
                      SELECT bt.userid, bt.dateline, blogtextid, ipaddress, firstblogtextid
                      FROM blog_text bt
                      JOIN blog bl USING (blogid)
                      LEFT JOIN ipdata ip ON (
                          bt.ipaddress = ip.ipid AND bt.blogtextid  = ip.contentid
                          AND bt.userid = ip.userid AND ip.contenttypeid IN (, )

          Comment


          • #6
            Log into your admincp.
            Enable the blog and CMS.
            Run the upgrade again.
            MARK.B | vBULLETIN SUPPORT

            TalkNewsUK - My vBulletin 5.4.4 Demo
            AdminAmmo - My Cloud Demo

            Comment


            • #7
              I did.

              Now, when I run the upgrade I got first a message:

              Code:
              Due to the following errors, the install/upgrade can not continue:
              
                  Following is a list of files that are either missing or contain unexpected contents. The most likely cause is that all of the files from this release have not been properly uploaded. You should resolve this error before continuing.
                  /install/vbulletin-language.xml - File does not contain expected contents
                  /install/vbulletin-style.xml - File does not contain expected contents
                  /install/includes/class_upgrade_4111a2.php - File does not contain expected contents
              I pressed ignore and continue. The process started but then at 86% I got another message:

              Action Required
              Unexpected Text:


              Code:
              <?xml version="1.0" encoding="windows-1252"?>
              <?xml version="1.0" encoding="windows-1252"?>
              <error>XML Error: %1$s at Line %2$s</error>

              Show details:

              Code:
                  Processing Blog
                  Step 18 - Updating blog_text table
                  Step 19 - Product upgrade completed
                  Step 20 - Importing vbulletin-mobile-style-blog.xml
                  Template Group: Blog
                  Template Group: Search
                  Step 20 - Import Done
                  Processing CMS
                  Step 1 - Skipping step, not needed
                  Step 2 - Skipping step, not needed
                  Step 3 - Skipping step, not needed
                  Step 4 - Skipping step, not needed
                  Step 5 - Skipping step, not needed
                  Step 6 - Skipping step, not needed
                  Step 7 - Skipping step, not needed
                  Step 8 - Skipping step, not needed
                  Step 9 - Skipping step, not needed
                  Step 10 - Skipping step, not needed
                  Step 11 - Skipping step, not needed
                  Step 12 - Skipping step, not needed
                  Step 13 - Skipping step, not needed
                  Step 14 - Skipping step, not needed
                  Step 15 - Skipping step, not needed
                  Step 16 - Skipping step, not needed
                  Step 17 - Skipping step, not needed
                  Step 18 - Skipping step, not needed
                  Step 19 - Skipping step, not needed
                  Step 20 - Skipping step, not needed
                  Step 21 - Skipping step, not needed
                  Step 22 - Skipping step, not needed
                  Step 23 - Skipping step, not needed
                  Step 24 - Skipping step, not needed
                  Step 25 - Skipping step, not needed
                  Step 26 - Skipping step, not needed
                  Step 27 - Skipping step, not needed
                  Step 28 - Skipping step, not needed
                  Step 29 - Skipping step, not needed
                  Step 30 - Skipping step, not needed
                  Step 31 - Product upgrade completed
                  Step 32 - Skipping step, not needed
                  Step 33 - Importing vbulletin-mobile-style-cms.xml
                  Template Group: vBulletin CMS
                  Step 33 - Import Done
                  Processing Skimlinks
                  Step 1 - Skipping step, not needed
                  Step 2 - Skipping step, not needed
                  Step 3 - Product upgrade completed
                  Processing Forum Runner
                  Step 1 - Skipping step, not needed
                  Step 2 - Skipping step, not needed
                  Step 3 - Skipping step, not needed
                  Step 4 - Product upgrade completed
                  Processing XML
                  Step 1 - Import latest options
                  Importing vbulletin-settings.xml
                  Import Done
                  Step 2 - Import latest admin help
                  Importing vbulletin-adminhelp.xml
                  Import Done
              
              Status: Aborted
              Any more directions?

              Comment


              • #8
                This part of the error is key:

                Following is a list of files that are either missing or contain unexpected contents.
                The most likely cause is that all of the files from this release have not been properly uploaded.
                You should resolve this error before continuing.

                It actually tells you what the problem is, and then tells you not to continue without resolving it. These error messages are displayed for a reason and should be adhered to, if not you can cause problems.

                You haven't uploaded all the 4.2.5 files, or perhaps some of them are corrupted.
                You should download a fresh copy of the files from the members are, upload all of them to the server, and try running the upgrade again.
                If it still doesn't work, you'll need to restore a backup of the database from before the upgrade started, and then run it again.
                MARK.B | vBULLETIN SUPPORT

                TalkNewsUK - My vBulletin 5.4.4 Demo
                AdminAmmo - My Cloud Demo

                Comment


                • #9
                  I re-downloaded the 4.2.5 upgrade and re-upgraded. It has been completed without errors this time.

                  Thanks
                  Last edited by dimitrios; Sun 8th Oct '17, 2:00am.

                  Comment


                  • #10
                    Great....glad you got it sorted.
                    MARK.B | vBULLETIN SUPPORT

                    TalkNewsUK - My vBulletin 5.4.4 Demo
                    AdminAmmo - My Cloud Demo

                    Comment

                    Related Topics

                    Collapse

                    Working...
                    X